<?php 



    $fechaA;
    $addFecha;
    $queryLocker ="SELECT ls.*, l.*, locks.*
            FROM socios s JOIN lockers_socios ls ON s.idSocio = ls.Socios_idSocio JOIN locker l ON ls.id_lockers_socios = l.id_locker JOIN lockers locks ON locks.idLocker = l.Lockers_idLockers
            WHERE ls.id_lockers_socios = (SELECT MAX(id_lockers_socios) FROM lockers_socios WHERE Socios_idSocio = '$id_cliente')";
            
            //$resultadoL = $conn->insert_query($queryLocker,"directoriofitness.com.mx","direct18","L4LL4v3M@3str@",$obj->bd);
            //$row_fecha = mysqli_fetch_array($resultadoL);
    $resultadoL =$conn->query($queryLocker);
    $row_fecha = $resultadoL->fetch_assoc();
    $fechaVen = $row_fecha['FechaVencimiento'];
    $fecha_act = $row_fecha['FechaAsignacion'];
    switch($concepto){
        case '1':
            $desc_plan = 'Pago Locker 1 d&iacute;a';
            $addFecha = "DATE_ADD( '$fechaVen', INTERVAL 1 DAY)";
            $fechaA = date("d/m/Y",strtotime($fechaVen."+ 1 days"));
            break;
        case '2':
            $desc_plan = 'Pago Locker semanal';
            $addFecha = "DATE_ADD( '$fechaVen', INTERVAL 7 DAY)";
            $fechaA = date("d/m/Y",strtotime($fechaVen."+ 7 days"));
            break;
        case '3':
            $desc_plan = 'Pago Locker quincenal';
            $addFecha = "DATE_ADD( '$fechaVen', INTERVAL 15 DAY)";
            $fechaA = date("d/m/Y",strtotime($fechaVen."+ 15 days"));
            break;
        case '4':
            $desc_plan = 'Pago Locker mensual';
            $addFecha = "DATE_ADD( '$fechaVen', INTERVAL 1 MONTH)";
            $fechaA = date("d/m/Y",strtotime($fechaVen."+ 1 month"));
            break;
        case '5':
            $desc_plan = 'Pago Locker semestral';
            $addFecha = "DATE_ADD( '$fechaVen', INTERVAL 6 MONTH)";
            $fechaA = date("d/m/Y",strtotime($fechaVen."+ 6 month"));
            break;
        case '6':
            $desc_plan = 'Pago Locker anual';
            $addFecha = "DATE_ADD( '$fechaVen', INTERVAL 12 MONTH)";
            $fechaA = date("d/m/Y",strtotime($fechaVen."+ 12 month"));
            break;
    }
            
    $query = "INSERT lockers_socios(Lockers_idLocker,Socios_idSocio,locker_asignado,FechaAsignacion,FechaVencimiento,estado,concepto_pago,tipo_pago,
            cantidad_tarjeta,importe,user_idUsuario,sucursal_idSucursal,cancelado)
            VALUES('$idLocker','$id_cliente','$lock_asig','$fechaVen',$addFecha,1,'$concepto',2,'$costo','$costo',21,'$suc',0)";
            
            //$resultado = $conn->insert_query($query,"directoriofitness.com.mx","direct18","L4LL4v3M@3str@",$obj->bd);
    if($conn->query($query) == TRUE){
        $msgQuery = '&iexcl;Transacci&oacute;n Exitosa!';
    }else{
        $msgQuery = 'Error al registrar su pago, cheque en Administraci&oacute;n';
    }
?>